### Method

# Foundry GitCommitBuilder list_staged

since: 1.1

#### Declaration [src]

    GListModel*
    foundry_git_commit_builder_list_staged (
      FoundryGitCommitBuilder* self
    )

#### Description [src]

Gets a list model containing all files that are currently staged for commit.

The list model contains `FoundryGitStatusEntry` objects representing files in the working tree that have been staged. The list is updated automatically as files are staged or unstaged.

Available since: 1.1

#### Return value

Type: A list model of `GObject`

A `GListModel` of `FoundryGitStatusEntry` objects representing staged files.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.